Bug 518328 - bug in X11 font handling for xlib or xt applications
Summary: bug in X11 font handling for xlib or xt applications
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 21:06 UTC by Monty Walls
Modified: 2018-04-11 15:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:11:25 UTC


Attachments (Terms of Use)

Description Monty Walls 2009-08-19 21:06:54 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.2) Gecko/20090803 Fedora/3.5.2-2.fc11 Firefox/3.5.2

Using 
LANG=C
LC_ALL=C
xfd -fn "-*-lucidatypewriter-medium-r-normal-sans-12-120-*-*-*-*-iso8859-*" 
Warning: Unable to load any usable ISO8859 font
Error: Aborting: no font found

You will get this error with pretty much all the old xutils applications (xfontsel, xconsole, xfd), and many commercial applications that display from a remote system to Fedora using X11 fonts (EMC Networker for example).

I've tried multiple locales, seems to make no difference.  Current system locale
is (/etc/sysconfig/i18n):
LANG="en_US.UTF-8"
SYSFONT="latarcyrheb-sun16"

Appropriate section of xlsfonts output for lucidatypewriter:
xlsfonts | grep lucidatypewriter-medium-r-normal-sans
-b&h-lucidatypewriter-medium-r-normal-sans-10-100-75-75-m-60-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-10-100-75-75-m-60-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-10-100-75-75-m-60-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-10-100-75-75-m-60-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-10-100-75-75-m-60-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-11-80-100-100-m-70-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-11-80-100-100-m-70-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-11-80-100-100-m-70-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-11-80-100-100-m-70-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-11-80-100-100-m-70-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-100-100-100-m-80-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-100-100-100-m-80-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-100-100-100-m-80-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-100-100-100-m-80-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-100-100-100-m-80-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-140-75-75-m-90-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-140-75-75-m-90-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-140-75-75-m-90-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-140-75-75-m-90-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-14-140-75-75-m-90-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-17-120-100-100-m-100-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-17-120-100-100-m-100-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-17-120-100-100-m-100-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-17-120-100-100-m-100-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-17-120-100-100-m-100-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-18-180-75-75-m-110-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-18-180-75-75-m-110-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-18-180-75-75-m-110-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-18-180-75-75-m-110-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-18-180-75-75-m-110-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-19-190-75-75-m-110-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-19-190-75-75-m-110-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-19-190-75-75-m-110-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-19-190-75-75-m-110-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-20-140-100-100-m-120-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-20-140-100-100-m-120-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-20-140-100-100-m-120-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-20-140-100-100-m-120-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-20-140-100-100-m-120-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-24-240-75-75-m-140-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-24-240-75-75-m-140-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-24-240-75-75-m-140-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-24-240-75-75-m-140-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-24-240-75-75-m-140-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-25-180-100-100-m-150-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-25-180-100-100-m-150-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-25-180-100-100-m-150-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-25-180-100-100-m-150-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-25-180-100-100-m-150-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-26-190-100-100-m-159-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-26-190-100-100-m-159-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-26-190-100-100-m-159-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-26-190-100-100-m-159-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-34-240-100-100-m-200-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso10646-1
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso8859-1
-b&h-lucidatypewriter-medium-r-normal-sans-8-80-75-75-m-50-iso8859-1

The same problem may also be responsible for the fonts 'fixed', 'variable'
not being found.  Also there is no default font for applications that fail to specify one (default, variable, and fixed have been resolved by updates to my .Xdefaults file).

Reproducible: Always

Steps to Reproduce:
1.LC_ALL=C; export LC_ALL
2.LANG=C; export LANG
3.xfd -fn "-*-lucidatypewriter-medium-r-normal-sans-12-120-*-*-*-*-iso8859-*"
Actual Results:  
xfd -fn "-*-lucidatypewriter-medium-r-normal-sans-12-120-*-*-*-*-iso8859-*" 
Warning: Unable to load any usable ISO8859 font
Error: Aborting: no font found


Expected Results:  
display the character table for the requested font.

with tightvnc's server with LC_ALL=C and LANG=C, the 'steps to reproduce will work' using

Comment 1 Monty Walls 2009-08-19 21:11:18 UTC
/etc/X11/xorg.conf

Section "Files"
        ....
        FontPath     "unix/:7100"
EndSection


/usr/bin/ps -ef | grep xfs

xfs       1908     1  0 Aug04 ?        00:00:01 xfs -droppriv -daemon

/etc/X11/fs/config:

# where to look for fonts
catalogue = catalogue:/etc/X11/fontpath.d,
        /usr/share/fonts/java

$ls /etc/X11/fontpath.d
default-ghostscript  local-TrueType  
xorg-x11-fonts-100dpi:unscaled:pri=30 xorg-x11-fonts-Type1 
fonts-default        local-Type1     
xorg-x11-fonts-75dpi:unscaled:pri=20   xorg-x11-fonts-misc:unscaled:pri=10
liberation-fonts     x3270           xorg-x11-fonts-TTF

Comment 2 Matěj Cepl 2009-11-05 18:36:41 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Adam Jackson 2009-11-06 18:46:53 UTC
I can't repro this when using a fontpath of catalogue:/etc/X11/fontpath.d,built-ins.  Perhaps this is specific to xfs usage?

Comment 4 Monty Walls 2009-11-09 18:00:55 UTC
I've tried some experiments based on Adam's suggestions:

Using an xorg.conf with:
  Fontpath = "catalogue:/etc/X11/fontpath.d,built-ins"

That works.

Using an xorg.conf with:
  Fontpath = "unix/:7100" 
with an xfs fontpath of:
  catalogue = catalogue:/etc/X11/fontpath.d,built-ins

That works.

What breaks things is when xfs references /usr/share/fonts/java
which is a non-existent directory.  So it looks like xfs isn't 
handling that.

Comment 5 Bug Zapper 2010-04-28 09:50:40 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-06-28 14:11:25 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.